%define qt5	1

Name:		sddm
Version:	0.10.0
Release:	%mkrel 1
License:	GPLv2+
Summary:	QML based X11 desktop manager
Group:		Graphical desktop/KDE
 
Url:		https://github.com/sddm/sddm
Source0:	https://github.com/sddm/sddm/archive/%name-%{version}.tar.gz
# Originally kdm config, shamelessly stolen from kde-settings
Source1:	sddm.pam
Source2:	sddm-autologin.pam
# Adds sddm to drakedm
Source3:	11sddm.conf
# Xsession script
Source4:	Xsession
# default /etc/sddm.conf, created from man sddm.conf
# show users with UID >= 500 and hide system users
Source6:        sddm.conf
# use system locale on greeter start
# https://github.com/sddm/sddm/commit/84b23196e1ab68e8a10e7f156914fe741e7d8a30
Patch0:         84b23196e1ab68e8a10e7f156914fe741e7d8a30.patch

BuildRequires:	cmake
BuildRequires:	systemd-devel
BuildRequires:	upower-devel
BuildRequires:	pam-devel
BuildRequires:	python-docutils
BuildRequires:	libxcb-devel
BuildRequires:	pkgconfig
BuildRequires:  qtbase5-common-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  qttools5
BuildRequires:  pkgconfig(xcb-xkb)

#Obsoletes:      slim < 1.3.6
#Provides:       slim = %version-%release

# For themes, without this one gets
# "module "QtQuick" is not installed" errors
Requires:       qtdeclarative5
Requires:	xinitrc
Requires:	pam
Requires:	systemd
Requires:	x11-server-xorg
Requires(post):	systemd
Requires(preun): systemd
Requires(postun): systemd

Provides:	service(graphical-login) = sddm

%description
SDDM is a modern display manager for X11 aiming to be fast, simple and
beautiful. It uses modern technologies like QtQuick, which in turn gives the
designer the ability to create smooth, animated user interfaces.

%prep
%setup -q
%apply_patches

# use default mga background image in themes
#sed -i -e 's,\(^background=\).*,\1%{_datadir}/mga/backgrounds/default.jpg,' data/themes/*/theme.conf

# replace upstream Xsession script
install -Dpm755 %{_sourcedir}/Xsession data/scripts/Xsession

%build
# get rid of the architecture flag
sed -i "s/-march=native//" CMakeLists.txt
%if %qt5 == 0
%{cmake_qt4} -DQT_IMPORTS_DIR=%{_qt4_prefix}/imports \
    -DBUILD_MAN_PAGES=ON \
	-DENABLE_JOURNALD=ON
%else
%{cmake_qt5} \
       -DUSE_QT5=ON \
       -DBUILD_MAN_PAGES=ON \
       -DENABLE_JOURNALD=ON
%endif

%make

%install
%makeinstall_std -C build
install -Dpm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/sddm

# dm config
install -Dpm 644 %{_sourcedir}/11sddm.conf %{buildroot}%{_datadir}/X11/dm.d/11sddm.conf

# system user home dir
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}

# install default sddm.conf
install -Dpm 644 %{_sourcedir}/sddm.conf %{buildroot}%{_sysconfdir}/

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /sbin/nologin

%if 0
%post
%_post_service sddm

%preun
%_preun_service sddm
%endif

%files
%doc COPYING README.md CONTRIBUTORS
%attr(700,sddm,sddm) %{_localstatedir}/lib/%{name}/
%config(noreplace) %{_sysconfdir}/sddm.conf
%config(noreplace) %{_sysconfdir}/pam.d/sddm
%config(noreplace) %{_sysconfdir}/pam.d/sddm-autologin
%config(noreplace) %{_sysconfdir}/pam.d/sddm-greeter
%{_datadir}/X11/dm.d/11sddm.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.DisplayManager.conf
%{_libexecdir}/sddm-helper
%{_bindir}/sddm
%{_bindir}/sddm-greeter
%{_unitdir}/sddm.service
#%if %qt5 == 0
#%{_libdir}/qt4/imports/SddmComponents
#%else
%{_libdir}/qt5/qml/SddmComponents
#%endif
%{_datadir}/sddm/faces
%{_datadir}/sddm/scripts
%{_datadir}/sddm/themes
%{_datadir}/sddm/flags
%{_datadir}/sddm/translations
%{_mandir}/man?/%{name}*


%changelog
* Mon Nov 24 2014 doktor5000 <doktor5000> 0.10.0-1.mga4
+ Revision: 798664
- add BuildRequires on qttools5 for lrelease
- add BuildRequires on pkgconfig(Qt5Quick),pkgconfig(Qt5Network)
   and pkgconfig(Qt5Test)
- add BuildRequires on pkgconfig(Qt5Qml)
- add BuildRequires on pkgconfig(Qt5Help)
- add BuildRequires on pkgconfig(Qt5DBus)
- add BuildRequires on pkgconfig(Qt5Core)
- add BuildRequires on qtbase5-common-devel for required macros
- new version 0.10.0
  o XAUTHORITY file is no longer owned by root
  o drops QT4 support
  o fixes PAM variable handling and some autologin issues
- security issues fixed (mga#14238)
  o Never try to login as the sddm user (CVE-2014-7271)
  o Fix race condition in XAUTHORITY file generation (CVE-2014-7272)
- add default /etc/sddm.conf with comments on all stanzas
  o allows to show users with UID >= 500 for upgrades from mga4 (mga#11401)
  o hides system users via HideShells stanzas
    (for login shells /usr/sbin/nologin, /sbin/nologin & /bin/false)
- add Patch to use system locale on greeter start
  o from upstream https://github.com/sddm/sddm/pull/312
- do not use pam_gnome_keyring.so in pam config to fix impossibility to log out
  o see fdr#1150283
- require xinitrc and qtdeclarative5
- copied from cauldron to updates/4
- remove, replace with current pam config from cauldron
- copied from cauldron to updates/4
- copied from cauldron to updates/4
- copied from cauldron to updates/4
- copy to updates/4
- copy to updates/4

  + neoclust <neoclust>
    - New version 0.9.0

* Sat Oct 19 2013 umeabot <umeabot> 0.1.0-7.mga4
+ Revision: 531342
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 sander85 <sander85> 0.1.0-6.mga4
+ Revision: 463132
- Fix requires

* Sat Aug 03 2013 neoclust <neoclust> 0.1.0-5.mga4
+ Revision: 462782
- imported package sddm


* Mon Jul 22 2013 Martin Briza <mbriza@redhat.com> - 0.1.0-5
- Store xauth in /var/run/sddm

* Mon Jul 22 2013 Martin Briza <mbriza@redhat.com> - 0.1.0-4
- Added the documentation bits

* Thu Jul 18 2013 Martin Briza <mbriza@redhat.com> - 0.1.0-3
- Changed the source package to tar.gz
- Config files are now noreplace
- Buildrequires -systemd-devel +systemd +cmake

* Tue Jul 16 2013 Martin Briza <mbriza@redhat.com> - 0.1.0-2
- Removed unneeded BuildRequires
- Fixed systemd scriptlets
- Fixed release
- Simplified setup
- Added Requires needed for basic function
- Added Provides for graphical login

* Thu Jul 04 2013 Martin Briza <mbriza@redhat.com> - 0.1.0-1
- Initial build
